#
# spec file for package python-sphinxcontrib-trio
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sphinxcontrib-trio
Version:        1.1.2
Release:        2.13
Summary:        Sphinx extension for documenting Python functions and methods
License:        Apache-2.0 OR MIT
Group:          Development/Languages/Python
URL:            https://github.com/python-trio/sphinxcontrib-trio
Source:         https://files.pythonhosted.org/packages/source/s/sphinxcontrib-trio/sphinxcontrib-trio-%{version}.tar.gz
BuildRequires:  %{python_module Sphinx >= 1.7}
BuildRequires:  %{python_module async_generator}
BuildRequires:  %{python_module cssselect}
BuildRequires:  %{python_module lxml}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module urllib3 >= 1.21.1}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx >= 1.6
BuildArch:      noarch
%python_subpackages

%description
This sphinx extension helps documenting Python code that uses
async/await, or abstract methods, or context managers, or generators.
It works by making sphinx's regular directives
for documenting Python functions and methods smarter.

%prep
%setup -q -n sphinxcontrib-trio-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# gh#python-trio/sphinxcontrib-trio#260
%pytest -k 'not test_end_to_end' tests

%files %{python_files}
%doc README.rst
%license LICENSE LICENSE.MIT LICENSE.APACHE2
%{python_sitelib}/sphinxcontrib_trio
%{python_sitelib}/sphinxcontrib_trio-%{version}-*.egg-info

%changelog
* Sat May 15 2021 Matej Cepl <mcepl@suse.com>
- Skip test_end_to_end which fails due to recent changes in
  Sphinx (gh#python-trio/sphinxcontrib-trio#260).
* Fri May 15 2020 Benjamin Greiner <code@bnavigator.de>
- Update to v1.1.2
  * Recent version of Sphinx deprecated its ``PyClassmember`` class. We've
    adjusted sphinxcontrib-trio's internals to stop using it and silence
    the warning. (gh#python-trio/sphinxcontrib-trio#154)
- Changelog for v1.1.1
  * When using autodoc to document a class that has inherited members, we
    now correctly auto-detect the async-ness and other properties of those
    inherited methods. (gh#python-trio/sphinxcontrib-trio#19)
  * Recent versions of Sphinx deprecated its ``PyModulelevel`` class.
    We've adjusted sphinxcontrib-trio's internals to stop using it.
    gh#python-trio/sphinxcontrib-trio#138
* Thu Jun  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.1.0:
  * Support for new sphinx
* Tue Apr 23 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Tue Apr 23 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 1.0.2
  * Previously, on Sphinx 1.7, autodoc_member_order="bysource"
    didn't work correctly for async methods. Now, it does.
  * Remove support for sphinx<1.6.
* Mon Feb 25 2019 Todd R <toddrme2178@gmail.com>
- Remove no longer needed avoid_contextlib2.patch
* Thu Nov  1 2018 mcepl@suse.com
- Add avoid_contextlib2.patch gh#python-trio/sphinxcontrib-trio#18
* Mon Apr  2 2018 jengelh@inai.de
- Ensure neutrality of description.
* Sat Mar 24 2018 arun@gmx.de
- initial version
